Skip to main content

List Domains

Retrieve a paginated list of domains. Supports cursor-based pagination using 'before' and 'after' cursors. The 'limit' parameter controls the maximum number of results returned.

Query Parameters
limit int32

Possible values: 1 ≤ value ≤ 10000

before string

Returns list of domains before this cursor

after string

Returns list of domain after this cursor

Responses
200

A paginated list of domains.

Schema — OPTIONAL
data object[]
id string
name string — OPTIONAL
type string — OPTIONAL
description string — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
paging object — OPTIONAL
before string — OPTIONAL
after string — OPTIONAL
total int32
401

Unauthorized. Authentication required.

500

Internal server error.